• how to

    From Michael Pierce@1:105/81 to All on Thursday, February 04, 2021 18:59:08
    can anybody tell me what I would need to build hpt on os2?

    I have gcc, make, cmake what else would I need?

    I am a long time linux user, who wants to learn os2

    and I think the system that I am running it on needs a more customized build for its ancient hardware

    amd Duron 1ghz - 2gigs ram

    any pointers ??

    Thanks,

    Michael


    --- GoldED+/LNX 1.1.5-b20180707
    * Origin: Our Awesome Net - Portland, OR - awesome.abon.us (1:105/81)
  • From Kai Richter@2:240/77 to Michael Pierce on Friday, February 05, 2021 06:58:56
    Hello Michael!

    04 Feb 21, Michael Pierce wrote to All:

    any pointers ??

    The entry point is the huskybse modul. The README is outdated.

    https://github.com/huskyproject/huskybse/blob/master/README

    But you will find useful information like a list of supported compilers in

    https://github.com/huskyproject/huskybse/blob/master/README.Makefiles

    OS/2 EMX makefile.emo
    OS/2 EMX makefile.emx
    OS/2 IBM CSet makefile.ibo
    OS/2 Watcom C makefile.wco
    OS/2 High C makefile.hco
    OS/2 Borland C makefile.bco

    If your compiler doesn't work try another. ;-)


    This one goes through the lib version sequence trouble:

    https://github.com/huskyproject/huskybse/blob/master/DEPENDENCIES

    And finally the install instructions:

    https://github.com/huskyproject/huskybse/blob/master/INSTALL


    I found OS2BBS OS2DOS and TEAMOS2 echos in 2017 but i have no idea about the actual echo status. File distribution is at https://hobbes.nmsu.edu/ and i think the GFD network is connected to hobbes or will receive the same files.

    Regards

    Kai

    --- GoldED+/LNX 1.1.4.7
    * Origin: Monobox (2:240/77)
  • From andrew clarke@3:633/267 to Kai Richter on Friday, February 05, 2021 19:16:06
    05 Feb 21 06:58, you wrote to Michael Pierce:

    The entry point is the huskybse modul. The README is outdated.

    https://github.com/huskyproject/huskybse/blob/master/README

    But you will find useful information like a list of supported compilers
    in

    https://github.com/huskyproject/huskybse/blob/master/README.Makefiles

    OS/2 EMX makefile.emo
    OS/2 EMX makefile.emx
    OS/2 IBM CSet makefile.ibo
    OS/2 Watcom C makefile.wco
    OS/2 High C makefile.hco
    OS/2 Borland C makefile.bco

    If your compiler doesn't work try another. ;-)

    Most if not all of these makefiles are broken due to neglect.

    It's a bit unfair to send users on a long adventure trying to track down which compiler actually successfully builds the project.

    Also beware that the installers of older commercial OS/2 compilers (Borland, Metaware & C/Set) have a tendancy to break the boot sequence on OS/2 Warp 4.0 and above due to CONFIG.SYS modifications. The PATH ordering in CONFIG.SYS gets
    erroneously changed causing much older DLLs (eg. SOM.DLL) to be loaded by the Workplace Shell. This fails because of missing exports (or API changes) in the older DLLs, and the PC gets stuck in a boot loop.

    Ideally whoever built this:

    http://download.huskyproject.org/os2/husky-all-1.9-os2-libc066-20201211.zip

    would chime in and tell us exactly what compiler they're using, and what their build process is.

    --- GoldED+/BSD 1.1.5-b20180707
    * Origin: Blizzard of Ozz, Melbourne, Victoria, Australia (3:633/267)
  • From Oli@2:280/464.47 to andrew clarke on Friday, February 05, 2021 10:17:13
    andrew wrote (2021-02-05):

    http://download.huskyproject.org/os2/husky-all-1.9-os2-libc066-20201211.zip

    3 out of 4 nameservers for the domain are not responding to requests (like download.binkd.org)

    ---
    * Origin: . (2:280/464.47)
  • From Kai Richter@2:240/77 to Michael Pierce on Friday, February 05, 2021 14:58:34
    Hello Michael!

    05 Feb 21, andrew clarke wrote to Kai Richter:

    The entry point is the huskybse modul. The README is outdated.

    Most if not all of these makefiles are broken due to neglect.

    It's a bit unfair to send users on a long adventure trying to track
    down which compiler actually successfully builds the project.

    Thanks andrew for sharing your experience. I'm sorry but i'm used to take a look into the actual documentation and proceed as per information found within.

    My intention was to give an entry point and first orientation overview. When i started with husky compilation i never compiled anything before and i found it helpful to see what files could be effected and which are for different OS.

    Also beware that the installers of older commercial OS/2 compilers (Borland, Metaware & C/Set) have a tendancy to break the boot
    sequence on OS/2 Warp 4.0 and above due to CONFIG.SYS modifications.

    Well, i hope to found that in the compiler installation howto.

    Michael, if you would like to support other OS/2 users you could write down your successful installation steps and forward them to a husky maintainer for updates of the huskybse docs.

    Regards

    Kai

    --- GoldED+/LNX 1.1.4.7
    * Origin: Monobox (2:240/77)
  • From Max Vasilyev@2:5057/77 to andrew clarke on Saturday, February 06, 2021 18:33:02
    Hello andrew!

    05 Feb 21 19:16, you wrote to Kai Richter:

    Most if not all of these makefiles are broken due to neglect.
    At least *.mvc, *.emx, *.djg works

    would chime in and tell us exactly what compiler they're using, and
    ftp://ftp.netlabs.org/pub/gcc/GCC-3.3.5-csd6.zip

    what their build process is.
    copy /y huskybse\huskymak.cfg.emx huskymak.cfg
    call \usr\bin\gccenv.cmd

    cd huskylib\make
    make -f makefile.emx all
    cd ..\..

    and so on...

    WBR, Max. piwamoto!писем-нет
    --- скучаю по FleetStreet'у :-(((
    * Origin: Personal Reality (2:5057/77)
  • From andrew clarke@3:633/267 to Max Vasilyev on Wednesday, February 10, 2021 19:58:16
    06 Feb 21 18:33, you wrote to me:

    Most if not all of these makefiles are broken due to neglect.
    At least *.mvc, *.emx, *.djg works

    It's unfortunate it no longer builds with the Watcom makefiles, since cross-compiling is possible, even from 64-bit Linux (using OpenWatcom 2.0).

    would chime in and tell us exactly what compiler they're using, and
    ftp://ftp.netlabs.org/pub/gcc/GCC-3.3.5-csd6.zip

    Thanks. That was important since it won't build with GCC 2.x from the original EMX 0.9d distribution, nor with GCC 9.2 from the Netlabs RPM repos.

    what their build process is.
    copy /y huskybse\huskymak.cfg.emx huskymak.cfg
    call \usr\bin\gccenv.cmd

    In my case it is \gcc335\usr\bin\gccenv.cmd as \usr\bin\ is already used by ArcaOS.

    cd huskylib\make
    make -f makefile.emx all
    cd ..\..

    and so on...

    OK. It turns out you still need dos.h from emxdev1.zip, and:

    set C_INCLUDE_PATH=%C_INCLUDE_PATH%;c:/emx/include

    This step is also necessary:

    cd \gcc335\usr\lib
    MakeOmfLibs.cmd

    --- GoldED+/BSD 1.1.5-b20180707
    * Origin: Blizzard of Ozz, Melbourne, Victoria, Australia (3:633/267)
  • From Rick Smith@1:105/10.1 to andrew clarke on Friday, February 12, 2021 20:04:32
    Greetings andrew!

    Wednesday February 10 2021 19:58, you wrote to Max Vasilyev about an urgent matter!:

    06 Feb 21 18:33, you wrote to me:

    Most if not all of these makefiles are broken due to neglect.
    At least *.mvc, *.emx, *.djg works

    It's unfortunate it no longer builds with the Watcom makefiles, since cross-compiling is possible, even from 64-bit Linux (using OpenWatcom 2.0).

    would chime in and tell us exactly what compiler they're using,
    and
    ftp://ftp.netlabs.org/pub/gcc/GCC-3.3.5-csd6.zip

    Thanks. That was important since it won't build with GCC 2.x from the original EMX 0.9d distribution, nor with GCC 9.2 from the Netlabs RPM repos.

    what their build process is.
    copy /y huskybse\huskymak.cfg.emx huskymak.cfg
    call \usr\bin\gccenv.cmd

    Sadly we gave up trying to build on arca, just couldnt seem to get it.. Switched to squish works like a charm...



    ----
    Regards,


    Rick Smith (Nitro)

    ... If you can't read, maybe BBSing is not for you!
    --- GoldED+/LNX 1.1.5-b20180707
    * Origin: ----> Abacus Sysop Point --->>>>bbs.abon.us:2323 (1:105/10.1)